# ![CLI](./docs/images/readme/Reactotron-64.png) Reactotron

[![Join the chat at https://gitter.im/reactotron/reactotron](https://badges.gitter.im/reactotron/reactotron.svg)](https://gitter.im/reactotron/reactotron?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

Reactotron is a developer tool which allows you to peak under the kilt of your [React JS](https://facebook.github.io/react/) and [React Native](https://facebook.github.io/react-native/) apps.


Use it to:

* view your application state
* show API requests & responses
* perform quick performance benchmarks
* subscribe to parts of your application state
* display messages similar to console.log
* track global errors with source-mapped stack traces
* dispatch actions like a government-run mind control experiment

You plug it into your app as a dev dependency so it adds nothing to your product builds.

The app comes in two forms:

### Desktop

Reactotron on the left, demo React Native app on the right.

![Desktop](./docs/images/readme/reactotron-demo-app.gif)

### Command Line

![CLI](./docs/images/readme/reactotron-demo-cli.gif)


Welcome to flavour country.

# Quick Start

* See the [React JS Quick Start](docs/quick-start-react-js.md).
* See the [React Native Quick Start](docs/quick-start-react-native.md).

# Usage

* [Track Errors](docs/plugin-track-global-errors.md)
* Integrate with [Redux](docs/plugin-redux.md)
* Networking monitoring with [Apisauce](docs/plugin-apisauce.md)
* Start making fetch happen (plugin coming soon...)
* Creating Your Own Plugins (tutorial coming soon...)
* The JSON interface between client & server (coming soon...)


# Change Log

* August 21st, 2016 - [0.94.0](https://github.com/reactotron/reactotron/releases/tag/v0.94.0)
* August 18th, 2016 - [0.93.0](https://github.com/reactotron/reactotron/releases/tag/v0.93.0)
* August 16th, 2016 - [0.92.0](https://github.com/reactotron/reactotron/releases/tag/v0.92.0)
